import { Module, Command, Bot } from 'pure-cat';
import { Message } from 'discord.js';

declare class DNS extends Module {
    commands: Command[];
    private triggers;
    constructor({ slash, triggers }?: Partial<Option>, bot?: Bot);
    messageCreate(bot: Bot, message: Message): Promise<void>;
}
interface Option {
    /**
     * Enable slash command?
     * (default: true)
     */
    slash: boolean;
    /**
     * List of triggers to match (for normal messages)
     * (default: [`/!dns ([^\s]+)\s*([^\s]*)\s*([^\s]*)/`])
     */
    triggers: RegExp[];
}

export { DNS };
